Documentation Index
Fetch the complete documentation index at: https://developers.leadwaycrm.com/llms.txt
Use this file to discover all available pages before exploring further.
Create or update a LinkedIn ad campaign group with campaigns and ads
PUT https://services.leadconnectorhq.com/ad-publishing/linkedin/ads
Autorizacion
Bearer token generado desde el portal Leadway. Ver Autenticacion.
Version
string
default:"2021-07-28"
required
Version de la API.
Body
Posibles valores: ‘DAILY’, ‘LIFETIME’
scheduleStartDate
string
default:"2025-01-01"
Schedule start date (ISO 8601)
scheduleEndDate
string
default:"2025-12-31"
Schedule end date (ISO 8601)
Posibles valores: ‘DRAFT’, ‘SCHEDULED’, ‘PUBLISHED’, ‘PUBLISHING’, ‘FAILED’, ‘IN_REVIEW’, ‘PAUSED’, ‘ARCHIVED’, ‘WITH_ISSUES’, ‘REJECTED’
Campaign audience targeting Posibles valores: ‘STANDARD_UPDATE’, ‘SINGLE_VIDEO’, ‘CAROUSEL’
Campaign audience targeting
Media type Posibles valores: ‘video’, ‘image’
Selected poster frame index
Click-through destination URL
Posibles valores: ‘DRAFT’, ‘SCHEDULED’, ‘PUBLISHED’, ‘PUBLISHING’, ‘FAILED’, ‘IN_REVIEW’, ‘PAUSED’, ‘ARCHIVED’, ‘WITH_ISSUES’, ‘REJECTED’
LinkedIn API error message
LinkedIn API error message
Posibles valores: ‘MAXIMUM_DELIVERY’, ‘COST_CAP’
Posibles valores: ‘LEAD_GENERATION’, ‘WEBSITE_VISIT’
Posibles valores: ‘DRAFT’, ‘SCHEDULED’, ‘PUBLISHED’, ‘PUBLISHING’, ‘FAILED’, ‘IN_REVIEW’, ‘PAUSED’, ‘ARCHIVED’, ‘WITH_ISSUES’, ‘REJECTED’
Respuestas
422 - Unprocessable Entity
Ejemplo
curl -X PUT 'https://services.leadconnectorhq.com/ad-publishing/linkedin/ads' \
-H 'Authorization: Bearer YOUR_TOKEN' \
-H 'Version: 2021-07-28' \
-H 'Content-Type: application/json' \
-d '{
"id": "string",
"locationId": "string",
"budget": {
"budgetType": "DAILY",
"amount": 0,
"scheduleStartDate": "2025-01-01",
"scheduleEndDate": "2025-12-31"
},
"adCampaigns": [
{
"id": "string",
"name": "string",
"publishingStatus": "DRAFT",
"mediaType": "STANDARD_UPDATE",
"campaignType": "string",
"adCampaignGroupId": "string",
"adCampaignId": "string",
"ads": [
{}
],
"linkedInError": "string",
"meta": {}
}
],
"adBudgetOptimization": "MAXIMUM_DELIVERY",
"objectiveType": "LEAD_GENERATION",
"name": "string",
"adCampaignGroupId": "string",
"publishingStatus": "DRAFT",
"linkedInAdAccountId": "string",
"unpublishedChanges": true,
"meta": {},
"linkedInError": "string"
}'